%global commit 5b55d2d031285f46aceea469802fd63d4e78a528
%global commitdate 20160913
%global shortcommit %(c=%{commit}; echo ${c:0:7})
%global gitver git%{commitdate}-%{shortcommit}
%global gitrel .git%{commitdate}.%{shortcommit}

%global cinnamondir %{_datadir}/cinnamon/applets
%global appletdir %{cinnamondir}/globalAppMenu@lestcape


Name:		cinnamon-applet-globalappmenu
Version:	0.6
Release:	3%{?gitrel}%{?dist}
Summary:	Ubuntu AppMenu support for Cinnamon Desktop

License:	GPLv3+
URL:		https://github.com/lestcape/Global-AppMenu
Source0:	%{url}/archive/%{commit}.tar.gz#/%{name}-%{version}-%{gitver}.tar.gz

BuildArch:	noarch

Recommends:	appmenu-qt5-profile.d

Requires:	appmenu-qt
Requires:	appmenu-qt5
Requires:	cinnamon
Requires:	unity-gtk2-module
Requires:	unity-gtk3-module

%description
This applet integrates the Ubuntu Application Menu (Global Menu)
support into the Cinnamon Desktop.  It uses the same idea as the
Gnome Shell extension made by rgcjonas.

This is a third-party applet, not official.


%prep
%autosetup -n Global-AppMenu-%{commit}
%{_bindir}/find . -type d -print0 | %{_bindir}/xargs -0 %{__chmod} -c 0755
%{_bindir}/find . -type f -print0 | %{_bindir}/xargs -0 %{__chmod} -c 0644


%build
# noop


%install
%{__mkdir} -p %{buildroot}%{cinnamondir}
%{__cp} -a globalAppMenu*/ %{buildroot}%{cinnamondir}

# Create %%{name}.lang-manifest.  %%find_lang-macro won't work here.
%{__rm} -f %{name}.lang
for mo in $(%{_bindir}/find %{buildroot}%{appletdir} -name '*.mo' |	\
		%{_bindir}/sort -u); do
	mo="$(%{_bindir}/echo ${mo} | %{__sed} -e's!^%{buildroot}!!g')"
	lang="$(%{_bindir}/basename ${mo} | %{__sed} -e's!.mo$!!g')"
	%{_bindir}/echo "%lang(${lang}) ${mo}" >> %{name}.lang
done


%files -f %{name}.lang
%license LICENSE.md
%doc README.md
%dir %{appletdir}
%dir %{appletdir}/po
%dir %{appletdir}/po/mo
%{appletdir}/*.js
%{appletdir}/*.json
%{appletdir}/*.png
%{appletdir}/interfaces-xml
%{appletdir}/po/*.po*


%changelog
* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.6-3.git20160913.5b55d2d
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.6-2.git20160913.5b55d2d
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Fri Oct 07 2016 Björn Esser <fedora@besser82.io> - 0.6-1.git20160913.5b55d2d
- Initial import (rhbz 1382810)

* Fri Oct 07 2016 Björn Esser <fedora@besser82.io> - 0.6-0.1.git20160913.5b55d2d
- Initial package (rhbz 1382810)
